Bug 1889153 - system hickups and freezes since 5.8.13
Summary: system hickups and freezes since 5.8.13
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-18 14:35 UTC by customercare
Modified: 2021-05-25 17:30 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:30:05 UTC
Type: Bug


Attachments (Terms of Use)
kernel.log (83.81 KB, text/plain)
2020-10-18 14:35 UTC, customercare
no flags Details

Description customercare 2020-10-18 14:35:20 UTC
Created attachment 1722491 [details]
kernel.log

CPU: AMD FX-8350
RAM: 16GB

1. Please describe the problem:

Since a few kernelversions, the systems has freezes and hickups ( means it freezes and recovers by itself ).

today with 5.8.15 system frooze and the only valid information left of the problem, either in journald or messages was this:

Okt 18 16:10:49 eve kernel: general protection fault, probably for non-canonical address 0xdfff89095eda6fd0: 0000 [#1] SMP NOPTI
Okt 18 16:10:49 eve kernel: CPU: 6 PID: 19209 Comm: kworker/u16:7 Tainted: P           OE     5.8.15-101.fc31.x86_64 #1

(Tainted, because of nvidia and virtual box kmods from rpmfusion)


The freezes start all the same: 

First, the desktop display stops as if the gx card frooze, but the mousepointer still moves and audio is running, without repeating itself. When lucky, ALT+F34 switches to a text console and the freeze can be avoided. 

Most of the time, it does not react to ALT+F3 and first the mouse pointer vanishes, than audio stops and nothing does anything anymore. A hard rest is needed. 

Normally this would sound like a swap of death situation, but there is no IO ongoing. The fiesystems recover without any sign of error or correctional work on the next boot and the HD indicator on the pc casing never shows any sign of activity. 

2. What is the Version-Release number of the kernel:

at least 5.8.13, mostlikely > 5.8.8

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

yes

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

happens randomly

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:


6. Are you running any modules that not shipped with directly Fedora's kernel?:

akmod_nvidia
akmod_vb

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 customercare 2020-10-18 14:41:56 UTC
the suggested rawhide-kernel install failed due to GPG issues, as the key does not seem to get installed by the rawhide package.

rough backtranslation: sources are installed, but the key-urls are wrong.


Pakete werden heruntergeladen:
(1/3): kernel-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64.rpm                                                                                                                                                                           772 kB/s | 130 kB     00:00    
(2/3): kernel-modules-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64.rpm                                                                                                                                                                   4.0 MB/s |  31 MB     00:07    
(3/3): kernel-core-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64.rpm                                                                                                                                                                      2.7 MB/s |  34 MB     00:12    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Gesamt                                                                                                                                                                                                                                          5.1 MB/s |  65 MB     00:12     
Warnung: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/kernel-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64.rpm: Header V4 RSA/SHA256 Signature, Schlüssel-ID 45719a39: NOKEY
Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                                                                                           1.6 MB/s | 1.6 kB     00:00    
GPG-Schlüssel unter file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64 (0x3C3359C4) ist bereits installiert
Die aufgelisteten GPG-Schlüssel für die »Fedora - Rawhide - Developmental packages for the next Fedora release«-Paketquelle sind bereits installiert, aber sie sind nicht korrekt für dieses Paket.
Stellen Sie sicher, dass die korrekten Schlüssel-URLs für diese Paketquelle konfiguriert sind.. Fehlgeschlagenes Paket ist: kernel-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64
 GPG-Schlüssel sind eingerichtet als: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
Öffentlicher Schlüssel für kernel-core-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64.rpm ist nicht installiert. Fehlgeschlagenes Paket ist: kernel-core-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64
 GPG-Schlüssel sind eingerichtet als: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
Öffentlicher Schlüssel für kernel-modules-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64.rpm ist nicht installiert. Fehlgeschlagenes Paket ist: kernel-modules-5.10.0-0.rc0.20201014gitb5fc7a89e58b.41.fc34.x86_64
 GPG-Schlüssel sind eingerichtet als: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
Die heruntergeladenen Pakete wurden bis zur nächsten erfolgreichen Transaktion im Zwischenspeicher abgelegt.
Sie können zwischengespeicherte Pakete mit dem Befehl »dnf clean packages« entfernen.
Fehler: GPG-Überprüfung fehlgeschlagen

Comment 2 Ben Cotton 2020-11-03 16:59:57 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora Program Management 2021-04-29 16:57:34 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-05-25 17:30:05 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.